<div class="container">
  <div (click)="onExpand()" class="parameters">
    <div class="start-container">
      <i class="icon-icomoon-parameters"></i>
      <p>{{'DATA_PANEL_STOP.STOPS_PARAMETERS' | translate}}</p>
    </div>
    <div class="end-icon">
      <i class="icon-icomoon-chevron-illustrateur"></i>
    </div>
  </div>
  <div *ngIf="expanded" class="on-expand">
    <form (ngSubmit)="onSubmit()" [formGroup]="stopParametersFormGroup">
      <div class="name">
        <geodesign-input-text formControlName="name"></geodesign-input-text>
      </div>
      <div class="color">
        <p>{{'DATA_PANEL_STOP.STOP_COLOR' | translate}}</p>
        <div class="input-color-wrapper">
          <geodesign-input-color class="hover" formControlName="color" fromStopPopup="true"></geodesign-input-color>
          <i class="icon-icomoon-chevron-illustrateur"></i>
        </div>
      </div>
      <div class="position">
        <geodesign-input-text class="latlng" formControlName="lat"></geodesign-input-text>
        <geodesign-input-text class="latlng" formControlName="lng"></geodesign-input-text>
      </div>
      <div class="scenario">
        <geodesign-select [label]="'DATA_PANEL_STOP.ADD_OTHER_SCENARIOS' | translate"
                          [options]="options"
                          formControlName="scenarios"
                          multiple="true"></geodesign-select>
        <div *ngIf="stopParametersFormGroup.get('scenarios')?.value?.length > 0">
          <geodesign-input-checkbox [label]="'DATA_PANEL_STOP.ADD_SOURCE_BASE' | translate"
                                    formControlName="sourcebase"></geodesign-input-checkbox>
        </div>
      </div>
      <div class="buttons">
        <geodesign-button type="submit">{{'FORM.SAVE' | translate}}</geodesign-button>
      </div>
    </form>
  </div>
</div>
